> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Entity Verification Session Errors

## Request Errors

The request to the `/entities/{ent_id}/verification_sessions` endpoint failed. These are the `sub_type` that can be returned.

### `INVALID_REQUEST`

The request body failed basic validation for the specific API endpoint.

### `NOT_FOUND`

The requested resource does not exist.

### `ENTITY_PHONE_VERIFICATION_MAX_ATTEMPTS`

The Entity has reached the maximum number of phone verification attempts.

### `EXISTING_VERIFIED_SESSION`

The Entity has already completed the verification for that EntityVerificationSession `type`.

### `MISSING_IDENTITY_MATCH`

The Entity's identity couldn't be found. Update the Entity's PII to improve the chances of finding the identity.

### `MISSING_PHONE_VERIFICATION`

The Entity's phone number has not been verified yet.

### `UNAUTHORIZED_VERIFICATION_METHOD`

The Entity is unauthorized to use the verification method provided.

### `INVALID_ENTITY_TYPE`

The Entity must by of type `individual` to use the EntityVerificationSession endpoint.

### `VERIFICATION_SESSION_EXPIRED`

A response back to Method took too long and the EntityVerificationSession has expired.

### `VERIFICATION_SESSION_FAILED_INCORRECT_SMS_CODE`

The Entity's phone number couldn't be verified through the SMS code provided.

### `VERIFICATION_SESSION_FAILED_SNA`

The verification process failed to verify the entity's phone number through SNA.

### `VERIFICATION_SESSION_FAILED_INVALID_ANSWER`

The Entity's identity couldn't be verified through the answer provided.

***

## Resource Errors

Errors set on an EntityVerificationSession's `error` property for processes that are unsuccessful.

### `19001 – VERIFICATION_SESSION_EXPIRED`

The EntityVerificationSession has expired. The verification process must be re-initiated.

#### Causes

* The EntityVerificationSession was not completed in the allotted time.

```json theme={null}
{
  "type": "VERIFICATION_SESSION_FAILED",
  "code": 19001,
  "sub_type": "VERIFICATION_SESSION_EXPIRED",
  "message": "The verification session has expired. Please re-initiate the verification process."
}
```

#### Resolution

* Initiate a new EntityVerificationSession.

***

### `19002 – VERIFICATION_SESSION_FAILED_INCORRECT_SMS_CODE`

The Entity's phone number couldn't be verified through the SMS code provided.

#### Causes

* The individual inputted an incorrect SMS code.

```json theme={null}
{
  "type": "VERIFICATION_SESSION_FAILED",
  "code": 19002,
  "sub_type": "VERIFICATION_SESSION_FAILED_INCORRECT_SMS_CODE",
  "message": "The SMS code inputted is invalid. Please re-initiate the verification process."
}
```

#### Resolution

* Initiate a new EntityVerificationSession and make sure the individual is inputting the correct SMS code.

***

### `19003 – VERIFICATION_SESSION_FAILED_SNA`

The verification process failed to verify the Entity's phone number through SNA.

#### Causes

* The individual is not on a mobile device.
* The individual is not on a network that supports SNA.

```json theme={null}
{
  "type": "VERIFICATION_SESSION_FAILED",
  "code": 19003,
  "sub_type": "VERIFICATION_SESSION_FAILED_SNA",
  "message": "The entity's phone couldn't be verified through SNA. Please re-initiate the verification process."
}
```

#### Resolution

* Confirm the individual is on a mobile device.
* Attempt a different verification method.

***

### `19004 – VERIFICATION_SESSION_FAILED_INVALID_ANSWER`

The Entity's identity couldn't be verified through the answer provided.

#### Causes

* The individual answered one or more questions incorrectly.
* One or more questions was missing in the request.

```json theme={null}
{
  "type": "VERIFICATION_SESSION_FAILED",
  "code": 19004,
  "sub_type": "VERIFICATION_SESSION_FAILED_INVALID_ANSWER",
  "message": "Invalid entity identity answer. An answer is either missing or invalid. Please re-initiate the verification process."
}
```

#### Resolution

* Initiate a new EntityVerificationSession and confirm that the individual is answering the questions correctly.

***
